Skip to content

nodes / hardware ​

5 operations.

GET /nodes/{node}/hardware ​

ts
proxmox.nodes.$(node).hardware.$get()

Index of hardware types

Returns an array of object.

ParameterTypeRequiredNotes
nodestringyesThe cluster node name. — format pve-node

GET /nodes/{node}/hardware/pci ​

ts
proxmox.nodes.$(node).hardware.pci.$get()

List local PCI devices.

Returns an array of object.

ParameterTypeRequiredNotes
nodestringyesThe cluster node name. — format pve-node
pci-class-blackliststringA list of blacklisted PCI classes, which will not be returned. Following are filtered by default: Memory Controller (05), Bridge (06) and Processor (0b). — format string-list, default "05;06;0b"
verbosebooleanIf disabled, does only print the PCI IDs. Otherwise, additional information like vendor and device will be returned. — default 1

GET /nodes/{node}/hardware/pci/{pci-id-or-mapping} ​

ts
proxmox.nodes.$(node).hardware.pci.$(pciIdOrMapping).$get()

Index of available pci methods

Returns an array of object.

ParameterTypeRequiredNotes
nodestringyesThe cluster node name. — format pve-node
pci-id-or-mappingstringyes

GET /nodes/{node}/hardware/pci/{pci-id-or-mapping}/mdev ​

ts
proxmox.nodes.$(node).hardware.pci.$(pciIdOrMapping).mdev.$get()

List mediated device types for given PCI device.

Returns an array of object.

ParameterTypeRequiredNotes
nodestringyesThe cluster node name. — format pve-node
pci-id-or-mappingstringyesThe PCI ID or mapping to list the mdev types for.

GET /nodes/{node}/hardware/usb ​

ts
proxmox.nodes.$(node).hardware.usb.$get()

List local USB devices.

Returns an array of object.

ParameterTypeRequiredNotes
nodestringyesThe cluster node name. — format pve-node